services:
    d2_uti_service_definition_manager:
        class:          D2\UTIBundle\DependencyInjection\Services\ServiceDefinitionManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_uti_partner_file_manager:
        class:          D2\UTIBundle\DependencyInjection\Services\PartnerFileManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_uti_partner_anl_manager:
        class:          D2\UTIBundle\DependencyInjection\Services\ANL\ANLPartnerManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_uti_waybill_manager:
        class:          D2\UTIBundle\DependencyInjection\Services\WaybillManager
        arguments:      [@service_container, @doctrine.orm.entity_manager, @d2_uti_service_definition_manager, @d2_calc_manager]

    d2_uti_bundle.twig.uti_extension:
        class:          D2\UTIBundle\Twig\UTITwigExtension
        arguments:      [@doctrine, @service_container, @d2_uti_partner_file_manager, @d2_uti_service_definition_manager]
        tags:
            - { name: twig.extension }

    # With Selected Extensions
    d2_uti_bundle.waybill_with_selected.extension:
        class:          D2\UTIBundle\DependencyInjection\Services\WaybillsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: uti_list }
            - { name: d2.with_selected, alias: uti_waybill }
